#include <bits/stdc++.h>
using namespace std;

int main()
{
    short a, b, x, y;
    cin >> a >> b >> x >> y;

    bool prvi = 0, drugi = 0;

    if (a > x)
        prvi = 1;
    if (b > y)
        drugi = 1;
    
    if (!prvi && !drugi)
        cout << "nijedan";
    else if (prvi && !drugi)
        cout << "prvi";
    else if (!prvi && drugi)
        cout << "drugi";
    else cout << "?";
    
    return 0;
}